# TODO: shared lib calls exit

Name:           iec16022
Version:        0.2.4
Release:        7%{?dist}
Summary:        Generate ISO/IEC 16022 2D barcodes

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.datenfreihafen.org/projects/iec16022.html
Source0:        http://www.datenfreihafen.org/~stefan/iec16022/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-test-suite-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  popt-devel zlib-devel

%description
iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix.  These barcodes are defined in the ISO/IEC 16022
standard.

%package        libs
Summary:        ISO/IEC 16022 libraries
Group:          System Environment/Libraries

%description    libs
%{summary}.

%package        devel
Summary:        ISO/IEC 16022 development files
Group:          Development/Libraries
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .orig


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libiec16022.la


%check
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
make -C test check

%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/iec16022
%{_mandir}/man1/iec16022.1*

%files libs
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/libiec16022.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/iec16022/
%{_libdir}/libiec16022.so
%{_libdir}/pkgconfig/libiec16022.pc


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-6
- Rearranging sed positions.

* Wed Jun 02 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-5
- Fixed test-suite(wasn't correctly fixed) and devel dependencies.

* Thu May 27 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-4
- Fixed test-suite and devel dependencies.

* Fri May 21 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.4-3
- Modify the spec according to Fedora Package Guidelines.

* Sat Mar 6 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-2
- Avoid rpath in executable.

* Sun Oct 18 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-1
- 0.2.4.

* Tue Jul 22 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.2.3-1
- 0.2.3.

* Sun Dec 30 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.2.2-1
- 0.2.2.

* Sat Nov 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-2
- BuildRequire popt-devel.
- License: GPLv2+

* Wed Nov 15 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-1
- 0.2.1.

* Sat Sep 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.2-2
- Rebuild.

* Mon Apr 17 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.2-1
- First build.
